/*
 * Copyright (c) 1997-1998, 2000, 2001 University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Flux OSKit.  The OSKit is free software, also known
 * as "open source;" you can redistribute it and/or modify it under the terms
 * of the GNU General Public License (GPL), version 2, as published by the Free
 * Software Foundation (FSF).  To explore alternate licensing terms, contact
 * the University of Utah at csl-dist@cs.utah.edu or +1-801-585-3271.
 * 
 * The OSKit is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GPL for more details.  You should have
 * received a copy of the GPL along with the OSKit; see the file COPYING.  If
 * not, write to the FSF, 59 Temple Place #330, Boston, MA 02111-1307, USA.
 */

/*
 * a few things which we'll still globally define - this needs to be
 * cleaned up sometime.
 *
 * Note that code also has a
 * -include the FDEV_FREEBSD's global.h
 */


#define ovbcopy(a, b, c)	bcopy(a, b, c)


#if 0
/* These two functions are locally #defined as nullops inside their
 * own function definitions to avoid recursion due to macro calls.
 */
#define m_retry OSKIT_FREEBSD_NET_m_retry
#define m_retryhdr OSKIT_FREEBSD_NET_m_retryhdr

/* These have a good enough prefix already */
#define freebsd_oskit_osenv_device OSKIT_FREEBSD_NET_freebsd_oskit_osenv_device
#define freebsd_oskit_osenv_driver OSKIT_FREEBSD_NET_freebsd_oskit_osenv_driver
#define freebsd_oskit_osenv_init OSKIT_FREEBSD_NET_freebsd_oskit_osenv_init
#define freebsd_oskit_osenv_intr OSKIT_FREEBSD_NET_freebsd_oskit_osenv_intr
#define freebsd_oskit_osenv_ioport OSKIT_FREEBSD_NET_freebsd_oskit_osenv_ioport
#define freebsd_oskit_osenv_irq OSKIT_FREEBSD_NET_freebsd_oskit_osenv_irq
#define freebsd_oskit_osenv_isa OSKIT_FREEBSD_NET_freebsd_oskit_osenv_isa
#define freebsd_oskit_osenv_log OSKIT_FREEBSD_NET_freebsd_oskit_osenv_log
#define freebsd_oskit_osenv_mem OSKIT_FREEBSD_NET_freebsd_oskit_osenv_mem
#define freebsd_oskit_osenv_rtc OSKIT_FREEBSD_NET_freebsd_oskit_osenv_rtc
#define freebsd_oskit_osenv_sleep OSKIT_FREEBSD_NET_freebsd_oskit_osenv_sleep
#define freebsd_oskit_osenv_timer OSKIT_FREEBSD_NET_freebsd_oskit_osenv_timer
#define freebsd_clist_sys_init_init OSKIT_FREEBSD_NET_freebsd_clist_sys_init_init
#define freebsd_clocks_sys_init_init OSKIT_FREEBSD_NET_freebsd_clocks_sys_init_init
#define freebsd_if_discmodule_sys_init_init OSKIT_FREEBSD_NET_freebsd_if_discmodule_sys_init_init
#define freebsd_inetdomain_init OSKIT_FREEBSD_NET_freebsd_inetdomain_init
#define freebsd_linker_set_add OSKIT_FREEBSD_NET_freebsd_linker_set_add
#define freebsd_mbuf_sys_init_init OSKIT_FREEBSD_NET_freebsd_mbuf_sys_init_init
#define freebsd_netisr_arpintr_init OSKIT_FREEBSD_NET_freebsd_netisr_arpintr_init
#define freebsd_netisr_ipintr_init OSKIT_FREEBSD_NET_freebsd_netisr_ipintr_init
#define freebsd_routedomain_init OSKIT_FREEBSD_NET_freebsd_routedomain_init

#define __udivdi3 OSKIT_FREEBSD_NET___udivdi3
#define __umoddi3 OSKIT_FREEBSD_NET___umoddi3
#define M_CACHE OSKIT_FREEBSD_NET_M_CACHE
#define M_DEVBUF OSKIT_FREEBSD_NET_M_DEVBUF
#define M_IFADDR OSKIT_FREEBSD_NET_M_IFADDR
#define M_IFMADDR OSKIT_FREEBSD_NET_M_IFMADDR
#define M_IPFLOW OSKIT_FREEBSD_NET_M_IPFLOW
#define M_PCB OSKIT_FREEBSD_NET_M_PCB
#define M_RTABLE OSKIT_FREEBSD_NET_M_RTABLE
#define M_SONAME OSKIT_FREEBSD_NET_M_SONAME
#define M_TEMP OSKIT_FREEBSD_NET_M_TEMP
#define setsoftnet OSKIT_FREEBSD_NET_setsoftnet
#endif

/*
 * generated with:
 *   i586-fluke-nm liboskit_freebsd_net.a | grep ' [TDRC] ' | \
 *   grep -v "fdev_freebsd" | grep -v "FDEV_FREEBSD" | grep -v oskit_ | \
 *   awk '{ printf "#define "$3" OSKIT_FREEBSD_NET_"$3"\n"; }' | \
 *   sort >> ~/oskit/freebsd/net/include/global.h
 */
#define DELAY OSKIT_FREEBSD_NET_DELAY
#define MD5Final OSKIT_FREEBSD_NET_MD5Final
#define MD5Init OSKIT_FREEBSD_NET_MD5Init
#define MD5Pad OSKIT_FREEBSD_NET_MD5Pad
#define MD5Transform OSKIT_FREEBSD_NET_MD5Transform
#define MD5Update OSKIT_FREEBSD_NET_MD5Update
#define __qdivrem OSKIT_FREEBSD_NET___qdivrem
#define _ip_mcast_src OSKIT_FREEBSD_NET__ip_mcast_src
#define _ip_mforward OSKIT_FREEBSD_NET__ip_mforward
#define _ip_mrouter_done OSKIT_FREEBSD_NET__ip_mrouter_done
#define _ip_mrouter_get OSKIT_FREEBSD_NET__ip_mrouter_get
#define _ip_mrouter_set OSKIT_FREEBSD_NET__ip_mrouter_set
#define _mrt_ioctl OSKIT_FREEBSD_NET__mrt_ioctl
#define _zget OSKIT_FREEBSD_NET__zget
#define acquire_timer2 OSKIT_FREEBSD_NET_acquire_timer2
#define arp_ifinit OSKIT_FREEBSD_NET_arp_ifinit
#define arpintr OSKIT_FREEBSD_NET_arpintr
#define arpintrq OSKIT_FREEBSD_NET_arpintrq
#define arpresolve OSKIT_FREEBSD_NET_arpresolve
#define at_shutdown OSKIT_FREEBSD_NET_at_shutdown
#define atdevbase OSKIT_FREEBSD_NET_atdevbase
#define b_to_q OSKIT_FREEBSD_NET_b_to_q
#define bcd2bin_data OSKIT_FREEBSD_NET_bcd2bin_data
#define bcmp OSKIT_FREEBSD_NET_bcmp
#define bdevsw OSKIT_FREEBSD_NET_bdevsw
#define bdevsw_module_handler OSKIT_FREEBSD_NET_bdevsw_module_handler
#define bin2bcd_data OSKIT_FREEBSD_NET_bin2bcd_data
#define boothowto OSKIT_FREEBSD_NET_boothowto
#define boottime OSKIT_FREEBSD_NET_boottime
#define bootverbose OSKIT_FREEBSD_NET_bootverbose
#define bpf_filter OSKIT_FREEBSD_NET_bpf_filter
#define bpf_mtap OSKIT_FREEBSD_NET_bpf_mtap
#define bpf_tap OSKIT_FREEBSD_NET_bpf_tap
#define bpf_validate OSKIT_FREEBSD_NET_bpf_validate
#define bpfattach OSKIT_FREEBSD_NET_bpfattach
#define bsd_hardclock OSKIT_FREEBSD_NET_bsd_hardclock
#define bsdnet_accept OSKIT_FREEBSD_NET_bsdnet_accept
#define bsdnet_bind OSKIT_FREEBSD_NET_bsdnet_bind
#define bsdnet_connect OSKIT_FREEBSD_NET_bsdnet_connect
#define bsdnet_driver_ioctl OSKIT_FREEBSD_NET_bsdnet_driver_ioctl
#define bsdnet_driver_start OSKIT_FREEBSD_NET_bsdnet_driver_start
#define bsdnet_getpeername OSKIT_FREEBSD_NET_bsdnet_getpeername
#define bsdnet_getsockname OSKIT_FREEBSD_NET_bsdnet_getsockname
#define bsdnet_net_receive OSKIT_FREEBSD_NET_bsdnet_net_receive
#define bsdnet_read OSKIT_FREEBSD_NET_bsdnet_read
#define bsdnet_recvfrom OSKIT_FREEBSD_NET_bsdnet_recvfrom
#define bsdnet_sendto OSKIT_FREEBSD_NET_bsdnet_sendto
#define bsdnet_setsockopt OSKIT_FREEBSD_NET_bsdnet_setsockopt
#define bsdnet_write OSKIT_FREEBSD_NET_bsdnet_write
#define bucket OSKIT_FREEBSD_NET_bucket
#define callfree OSKIT_FREEBSD_NET_callfree
#define callout OSKIT_FREEBSD_NET_callout
#define callout OSKIT_FREEBSD_NET_callout
#define callout_handle_init OSKIT_FREEBSD_NET_callout_handle_init
#define callwheel OSKIT_FREEBSD_NET_callwheel
#define callwheelbits OSKIT_FREEBSD_NET_callwheelbits
#define callwheelmask OSKIT_FREEBSD_NET_callwheelmask
#define callwheelsize OSKIT_FREEBSD_NET_callwheelsize
#define catq OSKIT_FREEBSD_NET_catq
#define cdevsw OSKIT_FREEBSD_NET_cdevsw
#define cdevsw_add OSKIT_FREEBSD_NET_cdevsw_add
#define cdevsw_add_generic OSKIT_FREEBSD_NET_cdevsw_add_generic
#define cdevsw_module_handler OSKIT_FREEBSD_NET_cdevsw_module_handler
#define cfreecount OSKIT_FREEBSD_NET_cfreecount
#define chrtoblk OSKIT_FREEBSD_NET_chrtoblk
#define clist_alloc_cblocks OSKIT_FREEBSD_NET_clist_alloc_cblocks
#define clist_free_cblocks OSKIT_FREEBSD_NET_clist_free_cblocks
#define clock_init OSKIT_FREEBSD_NET_clock_init
#define clockintr OSKIT_FREEBSD_NET_clockintr
#define cons_set OSKIT_FREEBSD_NET_cons_set
#define constty OSKIT_FREEBSD_NET_constty
#define copyin OSKIT_FREEBSD_NET_copyin
#define copyout OSKIT_FREEBSD_NET_copyout
#define curproc OSKIT_FREEBSD_NET_curproc
#define div_init OSKIT_FREEBSD_NET_div_init
#define div_input OSKIT_FREEBSD_NET_div_input
#define div_usrreqs OSKIT_FREEBSD_NET_div_usrreqs
#define domain_set OSKIT_FREEBSD_NET_domain_set
#define domaininit OSKIT_FREEBSD_NET_domaininit
#define domains OSKIT_FREEBSD_NET_domains
#define dup_sockaddr OSKIT_FREEBSD_NET_dup_sockaddr
#define einval OSKIT_FREEBSD_NET_einval
#define eisadriver_set OSKIT_FREEBSD_NET_eisadriver_set
#define endtsleep OSKIT_FREEBSD_NET_endtsleep
#define eopnotsupp OSKIT_FREEBSD_NET_eopnotsupp
#define ether_ifattach OSKIT_FREEBSD_NET_ether_ifattach
#define ether_input OSKIT_FREEBSD_NET_ether_input
#define ether_ioctl OSKIT_FREEBSD_NET_ether_ioctl
#define ether_output OSKIT_FREEBSD_NET_ether_output
#define etherbroadcastaddr OSKIT_FREEBSD_NET_etherbroadcastaddr
#define ethtoa OSKIT_FREEBSD_NET_ethtoa
#define fddi_ifattach OSKIT_FREEBSD_NET_fddi_ifattach
#define fddi_input OSKIT_FREEBSD_NET_fddi_input
#define fddi_output OSKIT_FREEBSD_NET_fddi_output
#define fgetown OSKIT_FREEBSD_NET_fgetown
#define fillw OSKIT_FREEBSD_NET_fillw
#define free OSKIT_FREEBSD_NET_free
#define generic_bcopy OSKIT_FREEBSD_NET_generic_bcopy
#define generic_bzero OSKIT_FREEBSD_NET_generic_bzero
#define getc OSKIT_FREEBSD_NET_getc
#define getenv_int OSKIT_FREEBSD_NET_getenv_int
#define getmicrotime OSKIT_FREEBSD_NET_getmicrotime
#define getmicrouptime OSKIT_FREEBSD_NET_getmicrouptime
#define getnanotime OSKIT_FREEBSD_NET_getnanotime
#define getnanouptime OSKIT_FREEBSD_NET_getnanouptime
#define getsockaddr OSKIT_FREEBSD_NET_getsockaddr
#define gsignal OSKIT_FREEBSD_NET_gsignal
#define hashinit OSKIT_FREEBSD_NET_hashinit
#define hex2ascii_data OSKIT_FREEBSD_NET_hex2ascii_data
#define hz OSKIT_FREEBSD_NET_hz
#define icmp_error OSKIT_FREEBSD_NET_icmp_error
#define icmp_input OSKIT_FREEBSD_NET_icmp_input
#define icmpstat OSKIT_FREEBSD_NET_icmpstat
#define if_addmulti OSKIT_FREEBSD_NET_if_addmulti
#define if_allmulti OSKIT_FREEBSD_NET_if_allmulti
#define if_attach OSKIT_FREEBSD_NET_if_attach
#define if_delmulti OSKIT_FREEBSD_NET_if_delmulti
#define if_down OSKIT_FREEBSD_NET_if_down
#define if_index OSKIT_FREEBSD_NET_if_index
#define if_route OSKIT_FREEBSD_NET_if_route
#define if_simloop OSKIT_FREEBSD_NET_if_simloop
#define if_unroute OSKIT_FREEBSD_NET_if_unroute
#define if_up OSKIT_FREEBSD_NET_if_up
#define ifa_ifwithaddr OSKIT_FREEBSD_NET_ifa_ifwithaddr
#define ifa_ifwithdstaddr OSKIT_FREEBSD_NET_ifa_ifwithdstaddr
#define ifa_ifwithnet OSKIT_FREEBSD_NET_ifa_ifwithnet
#define ifa_ifwithroute OSKIT_FREEBSD_NET_ifa_ifwithroute
#define ifafree OSKIT_FREEBSD_NET_ifafree
#define ifaof_ifpforaddr OSKIT_FREEBSD_NET_ifaof_ifpforaddr
#define ifinit OSKIT_FREEBSD_NET_ifinit
#define ifioctl OSKIT_FREEBSD_NET_ifioctl
#define ifmaof_ifpforaddr OSKIT_FREEBSD_NET_ifmaof_ifpforaddr
#define ifnet OSKIT_FREEBSD_NET_ifnet
#define ifnet_addrs OSKIT_FREEBSD_NET_ifnet_addrs
#define ifpromisc OSKIT_FREEBSD_NET_ifpromisc
#define ifqmaxlen OSKIT_FREEBSD_NET_ifqmaxlen
#define ifunit OSKIT_FREEBSD_NET_ifunit
#define igmp_fasttimo OSKIT_FREEBSD_NET_igmp_fasttimo
#define igmp_init OSKIT_FREEBSD_NET_igmp_init
#define igmp_input OSKIT_FREEBSD_NET_igmp_input
#define igmp_joingroup OSKIT_FREEBSD_NET_igmp_joingroup
#define igmp_leavegroup OSKIT_FREEBSD_NET_igmp_leavegroup
#define igmp_slowtimo OSKIT_FREEBSD_NET_igmp_slowtimo
#define in_addmulti OSKIT_FREEBSD_NET_in_addmulti
#define in_broadcast OSKIT_FREEBSD_NET_in_broadcast
#define in_canforward OSKIT_FREEBSD_NET_in_canforward
#define in_cksum OSKIT_FREEBSD_NET_in_cksum
#define in_control OSKIT_FREEBSD_NET_in_control
#define in_delmulti OSKIT_FREEBSD_NET_in_delmulti
#define in_ifaddrhead OSKIT_FREEBSD_NET_in_ifaddrhead
#define in_ifadown OSKIT_FREEBSD_NET_in_ifadown
#define in_ifscrub OSKIT_FREEBSD_NET_in_ifscrub
#define in_inithead OSKIT_FREEBSD_NET_in_inithead
#define in_localaddr OSKIT_FREEBSD_NET_in_localaddr
#define in_losing OSKIT_FREEBSD_NET_in_losing
#define in_multihead OSKIT_FREEBSD_NET_in_multihead
#define in_pcballoc OSKIT_FREEBSD_NET_in_pcballoc
#define in_pcbbind OSKIT_FREEBSD_NET_in_pcbbind
#define in_pcbconnect OSKIT_FREEBSD_NET_in_pcbconnect
#define in_pcbdetach OSKIT_FREEBSD_NET_in_pcbdetach
#define in_pcbdisconnect OSKIT_FREEBSD_NET_in_pcbdisconnect
#define in_pcbinshash OSKIT_FREEBSD_NET_in_pcbinshash
#define in_pcbladdr OSKIT_FREEBSD_NET_in_pcbladdr
#define in_pcblookup_hash OSKIT_FREEBSD_NET_in_pcblookup_hash
#define in_pcblookup_local OSKIT_FREEBSD_NET_in_pcblookup_local
#define in_pcbnotify OSKIT_FREEBSD_NET_in_pcbnotify
#define in_pcbrehash OSKIT_FREEBSD_NET_in_pcbrehash
#define in_rtqdrain OSKIT_FREEBSD_NET_in_rtqdrain
#define in_setpeeraddr OSKIT_FREEBSD_NET_in_setpeeraddr
#define in_setsockaddr OSKIT_FREEBSD_NET_in_setsockaddr
#define inet_ntoa OSKIT_FREEBSD_NET_inet_ntoa
#define inetctlerrmap OSKIT_FREEBSD_NET_inetctlerrmap
#define inetdomain OSKIT_FREEBSD_NET_inetdomain
#define inetsw OSKIT_FREEBSD_NET_inetsw
#define init_timecounter OSKIT_FREEBSD_NET_init_timecounter
#define initialize_domain_linker_set OSKIT_FREEBSD_NET_initialize_domain_linker_set
#define initialize_netisr_linker_set OSKIT_FREEBSD_NET_initialize_netisr_linker_set
#define inittodr OSKIT_FREEBSD_NET_inittodr
#define intr_connect OSKIT_FREEBSD_NET_intr_connect
#define intr_create OSKIT_FREEBSD_NET_intr_create
#define intr_destroy OSKIT_FREEBSD_NET_intr_destroy
#define intr_disconnect OSKIT_FREEBSD_NET_intr_disconnect
#define ip_ctloutput OSKIT_FREEBSD_NET_ip_ctloutput
#define ip_defttl OSKIT_FREEBSD_NET_ip_defttl
#define ip_divert_cookie OSKIT_FREEBSD_NET_ip_divert_cookie
#define ip_divert_port OSKIT_FREEBSD_NET_ip_divert_port
#define ip_drain OSKIT_FREEBSD_NET_ip_drain
#define ip_freemoptions OSKIT_FREEBSD_NET_ip_freemoptions
#define ip_fw_chain OSKIT_FREEBSD_NET_ip_fw_chain
#define ip_fw_chk_ptr OSKIT_FREEBSD_NET_ip_fw_chk_ptr
#define ip_fw_ctl_ptr OSKIT_FREEBSD_NET_ip_fw_ctl_ptr
#define ip_fw_default_rule OSKIT_FREEBSD_NET_ip_fw_default_rule
#define ip_fw_fwd_addr OSKIT_FREEBSD_NET_ip_fw_fwd_addr
#define ip_fw_init OSKIT_FREEBSD_NET_ip_fw_init
#define ip_id OSKIT_FREEBSD_NET_ip_id
#define ip_init OSKIT_FREEBSD_NET_ip_init
#define ip_input OSKIT_FREEBSD_NET_ip_input
#define ip_mcast_src OSKIT_FREEBSD_NET_ip_mcast_src
#define ip_mforward OSKIT_FREEBSD_NET_ip_mforward
#define ip_mrouter OSKIT_FREEBSD_NET_ip_mrouter
#define ip_mrouter_done OSKIT_FREEBSD_NET_ip_mrouter_done
#define ip_mrouter_get OSKIT_FREEBSD_NET_ip_mrouter_get
#define ip_mrouter_set OSKIT_FREEBSD_NET_ip_mrouter_set
#define ip_nat_ctl_ptr OSKIT_FREEBSD_NET_ip_nat_ctl_ptr
#define ip_nat_ptr OSKIT_FREEBSD_NET_ip_nat_ptr
#define ip_output OSKIT_FREEBSD_NET_ip_output
#define ip_protox OSKIT_FREEBSD_NET_ip_protox
#define ip_rsvp_done OSKIT_FREEBSD_NET_ip_rsvp_done
#define ip_rsvp_force_done OSKIT_FREEBSD_NET_ip_rsvp_force_done
#define ip_rsvp_init OSKIT_FREEBSD_NET_ip_rsvp_init
#define ip_rsvp_vif_done OSKIT_FREEBSD_NET_ip_rsvp_vif_done
#define ip_rsvp_vif_init OSKIT_FREEBSD_NET_ip_rsvp_vif_init
#define ip_rsvpd OSKIT_FREEBSD_NET_ip_rsvpd
#define ip_savecontrol OSKIT_FREEBSD_NET_ip_savecontrol
#define ip_slowtimo OSKIT_FREEBSD_NET_ip_slowtimo
#define ip_srcroute OSKIT_FREEBSD_NET_ip_srcroute
#define ip_stripoptions OSKIT_FREEBSD_NET_ip_stripoptions
#define ipflow_create OSKIT_FREEBSD_NET_ipflow_create
#define ipflow_fastforward OSKIT_FREEBSD_NET_ipflow_fastforward
#define ipflow_slowtimo OSKIT_FREEBSD_NET_ipflow_slowtimo
#define ipforwarding OSKIT_FREEBSD_NET_ipforwarding
#define ipintr OSKIT_FREEBSD_NET_ipintr
#define ipintrq OSKIT_FREEBSD_NET_ipintrq
#define ipip_input OSKIT_FREEBSD_NET_ipip_input
#define ipstat OSKIT_FREEBSD_NET_ipstat
#define iptime OSKIT_FREEBSD_NET_iptime
#define is_softnetpending OSKIT_FREEBSD_NET_is_softnetpending
#define itimerfix OSKIT_FREEBSD_NET_itimerfix
#define kbddriver_set OSKIT_FREEBSD_NET_kbddriver_set
#define kernel_map OSKIT_FREEBSD_NET_kernel_map
#define kmem_alloc OSKIT_FREEBSD_NET_kmem_alloc
#define kmem_free OSKIT_FREEBSD_NET_kmem_free
#define kmem_malloc OSKIT_FREEBSD_NET_kmem_malloc
#define kmem_map OSKIT_FREEBSD_NET_kmem_map
#define kmem_suballoc OSKIT_FREEBSD_NET_kmem_suballoc
#define kmembase OSKIT_FREEBSD_NET_kmembase
#define kmeminit OSKIT_FREEBSD_NET_kmeminit
#define kmemlimit OSKIT_FREEBSD_NET_kmemlimit
#define kmemusage OSKIT_FREEBSD_NET_kmemusage
#define kvtop OSKIT_FREEBSD_NET_kvtop
#define l_noread OSKIT_FREEBSD_NET_l_noread
#define l_nowrite OSKIT_FREEBSD_NET_l_nowrite
#define lbolt OSKIT_FREEBSD_NET_lbolt
#define ldisc_deregister OSKIT_FREEBSD_NET_ldisc_deregister
#define ldisc_register OSKIT_FREEBSD_NET_ldisc_register
#define legal_vif_num OSKIT_FREEBSD_NET_legal_vif_num
#define linesw OSKIT_FREEBSD_NET_linesw
#define localdomain OSKIT_FREEBSD_NET_localdomain
#define log OSKIT_FREEBSD_NET_log
#define loif OSKIT_FREEBSD_NET_loif
#define loopattach OSKIT_FREEBSD_NET_loopattach
#define m_adj OSKIT_FREEBSD_NET_m_adj
#define m_cat OSKIT_FREEBSD_NET_m_cat
#define m_copyback OSKIT_FREEBSD_NET_m_copyback
#define m_copydata OSKIT_FREEBSD_NET_m_copydata
#define m_copym OSKIT_FREEBSD_NET_m_copym
#define m_copypacket OSKIT_FREEBSD_NET_m_copypacket
#define m_free OSKIT_FREEBSD_NET_m_free
#define m_freem OSKIT_FREEBSD_NET_m_freem
#define m_get OSKIT_FREEBSD_NET_m_get
#define m_getclr OSKIT_FREEBSD_NET_m_getclr
#define m_gethdr OSKIT_FREEBSD_NET_m_gethdr
#define m_mballoc OSKIT_FREEBSD_NET_m_mballoc
#define m_prepend OSKIT_FREEBSD_NET_m_prepend
#define m_pullup OSKIT_FREEBSD_NET_m_pullup
#define m_split OSKIT_FREEBSD_NET_m_split
#define malloc OSKIT_FREEBSD_NET_malloc
#define malloc_init OSKIT_FREEBSD_NET_malloc_init
#define malloc_uninit OSKIT_FREEBSD_NET_malloc_uninit
#define max_datalen OSKIT_FREEBSD_NET_max_datalen
#define max_hdr OSKIT_FREEBSD_NET_max_hdr
#define max_linkhdr OSKIT_FREEBSD_NET_max_linkhdr
#define max_protohdr OSKIT_FREEBSD_NET_max_protohdr
#define maxsockets OSKIT_FREEBSD_NET_maxsockets
#define mb_map OSKIT_FREEBSD_NET_mb_map
#define mb_map_full OSKIT_FREEBSD_NET_mb_map_full
#define mbinit OSKIT_FREEBSD_NET_mbinit
#define mbstat OSKIT_FREEBSD_NET_mbstat
#define mbuf_bufio_create_instance OSKIT_FREEBSD_NET_mbuf_bufio_create_instance
#if 0
#define memcmp OSKIT_FREEBSD_NET_memcmp
#endif
#define microtime OSKIT_FREEBSD_NET_microtime
#define microuptime OSKIT_FREEBSD_NET_microuptime
#define mmbfree OSKIT_FREEBSD_NET_mmbfree
#define mn_arp OSKIT_FREEBSD_NET_mn_arp
#define mn_ip OSKIT_FREEBSD_NET_mn_ip
#define mrt_ioctl OSKIT_FREEBSD_NET_mrt_ioctl
#define nanotime OSKIT_FREEBSD_NET_nanotime
#define nanouptime OSKIT_FREEBSD_NET_nanouptime
#define nblkdev OSKIT_FREEBSD_NET_nblkdev
#define ncallout OSKIT_FREEBSD_NET_ncallout
#define nchrdev OSKIT_FREEBSD_NET_nchrdev
#define ndflush OSKIT_FREEBSD_NET_ndflush
#define net_add_domain OSKIT_FREEBSD_NET_net_add_domain
#define netisr OSKIT_FREEBSD_NET_netisr
#define netisr_set OSKIT_FREEBSD_NET_netisr_set 
#define netisrs OSKIT_FREEBSD_NET_netisrs
#define nextc OSKIT_FREEBSD_NET_nextc
#define nlinesw OSKIT_FREEBSD_NET_nlinesw
#define nmbclusters OSKIT_FREEBSD_NET_nmbclusters
#define noclose OSKIT_FREEBSD_NET_noclose
#define nodevtotty OSKIT_FREEBSD_NET_nodevtotty
#define nodump OSKIT_FREEBSD_NET_nodump
#define noioctl OSKIT_FREEBSD_NET_noioctl
#define nommap OSKIT_FREEBSD_NET_nommap
#define noopen OSKIT_FREEBSD_NET_noopen
#define noread OSKIT_FREEBSD_NET_noread
#define noreset OSKIT_FREEBSD_NET_noreset
#define nostop OSKIT_FREEBSD_NET_nostop
#define nowrite OSKIT_FREEBSD_NET_nowrite
#define nullclose OSKIT_FREEBSD_NET_nullclose
#define nullop OSKIT_FREEBSD_NET_nullop
#define nullopen OSKIT_FREEBSD_NET_nullopen
#define oskit_cpl OSKIT_FREEBSD_NET_oskit_cpl
#define oskit_freebsd_cpl OSKIT_FREEBSD_NET_oskit_freebsd_cpl
#define oskit_freebsd_idelayed OSKIT_FREEBSD_NET_oskit_freebsd_idelayed
#define oskit_freebsd_init OSKIT_FREEBSD_NET_oskit_freebsd_init
#define oskit_freebsd_ipending OSKIT_FREEBSD_NET_oskit_freebsd_ipending
#define oskit_freebsd_net_ipfw_init OSKIT_FREEBSD_NET_oskit_freebsd_net_ipfw_init
#define oskit_freebsd_net_impl OSKIT_FREEBSD_NET_oskit_freebsd_net_impl
#define oskit_freebsd_pcred OSKIT_FREEBSD_NET_oskit_freebsd_pcred
#define oskit_freebsd_pstats OSKIT_FREEBSD_NET_oskit_freebsd_pstats
#define oskit_freebsd_xlate_errno OSKIT_FREEBSD_NET_oskit_freebsd_xlate_errno
#define panicstr OSKIT_FREEBSD_NET_panicstr
#define pcidevice_set OSKIT_FREEBSD_NET_pcidevice_set
#define pfctlinput OSKIT_FREEBSD_NET_pfctlinput
#define pffindproto OSKIT_FREEBSD_NET_pffindproto
#define pffindtype OSKIT_FREEBSD_NET_pffindtype
#define pfind OSKIT_FREEBSD_NET_pfind
#define pgsigio OSKIT_FREEBSD_NET_pgsigio
#define phashinit OSKIT_FREEBSD_NET_phashinit
#define pmap_mapdev OSKIT_FREEBSD_NET_pmap_mapdev
#define pmap_setvidram OSKIT_FREEBSD_NET_pmap_setvidram
#define pnpdevice_set OSKIT_FREEBSD_NET_pnpdevice_set
#define pps_event OSKIT_FREEBSD_NET_pps_event
#define pps_init OSKIT_FREEBSD_NET_pps_init
#define pps_ioctl OSKIT_FREEBSD_NET_pps_ioctl
#define proc0 OSKIT_FREEBSD_NET_proc0
#define profhz OSKIT_FREEBSD_NET_profhz
#define pru_accept_notsupp OSKIT_FREEBSD_NET_pru_accept_notsupp
#define pru_connect2_notsupp OSKIT_FREEBSD_NET_pru_connect2_notsupp
#define pru_connect_notsupp OSKIT_FREEBSD_NET_pru_connect_notsupp
#define pru_control_notsupp OSKIT_FREEBSD_NET_pru_control_notsupp
#define pru_listen_notsupp OSKIT_FREEBSD_NET_pru_listen_notsupp
#define pru_rcvd_notsupp OSKIT_FREEBSD_NET_pru_rcvd_notsupp
#define pru_rcvoob_notsupp OSKIT_FREEBSD_NET_pru_rcvoob_notsupp
#define pru_sense_null OSKIT_FREEBSD_NET_pru_sense_null
#define psignal OSKIT_FREEBSD_NET_psignal
#define psratio OSKIT_FREEBSD_NET_psratio
#if 0
#define putc OSKIT_FREEBSD_NET_putc
#endif
#define q_to_b OSKIT_FREEBSD_NET_q_to_b
#define random OSKIT_FREEBSD_NET_random
#define raw_attach OSKIT_FREEBSD_NET_raw_attach
#define raw_ctlinput OSKIT_FREEBSD_NET_raw_ctlinput
#define raw_detach OSKIT_FREEBSD_NET_raw_detach
#define raw_disconnect OSKIT_FREEBSD_NET_raw_disconnect
#define raw_init OSKIT_FREEBSD_NET_raw_init
#define raw_input OSKIT_FREEBSD_NET_raw_input
#define raw_usrreqs OSKIT_FREEBSD_NET_raw_usrreqs
#define rawcb_list OSKIT_FREEBSD_NET_rawcb_list
#define register_intr OSKIT_FREEBSD_NET_register_intr
#define register_swi OSKIT_FREEBSD_NET_register_swi
#define release_timer2 OSKIT_FREEBSD_NET_release_timer2
#define resettodr OSKIT_FREEBSD_NET_resettodr
#define rip_ctlinput OSKIT_FREEBSD_NET_rip_ctlinput
#define rip_ctloutput OSKIT_FREEBSD_NET_rip_ctloutput
#define rip_init OSKIT_FREEBSD_NET_rip_init
#define rip_input OSKIT_FREEBSD_NET_rip_input
#define rip_output OSKIT_FREEBSD_NET_rip_output
#define rip_usrreqs OSKIT_FREEBSD_NET_rip_usrreqs
#define rn_addmask OSKIT_FREEBSD_NET_rn_addmask
#define rn_addroute OSKIT_FREEBSD_NET_rn_addroute
#define rn_delete OSKIT_FREEBSD_NET_rn_delete
#define rn_init OSKIT_FREEBSD_NET_rn_init
#define rn_inithead OSKIT_FREEBSD_NET_rn_inithead
#define rn_lookup OSKIT_FREEBSD_NET_rn_lookup
#define rn_match OSKIT_FREEBSD_NET_rn_match
#define rn_refines OSKIT_FREEBSD_NET_rn_refines
#define route_cb OSKIT_FREEBSD_NET_route_cb
#define route_init OSKIT_FREEBSD_NET_route_init
#define routedomain OSKIT_FREEBSD_NET_routedomain
#define rsvp_input OSKIT_FREEBSD_NET_rsvp_input
#define rsvp_on OSKIT_FREEBSD_NET_rsvp_on
#define rsvpdebug OSKIT_FREEBSD_NET_rsvpdebug
#define rt_ifmsg OSKIT_FREEBSD_NET_rt_ifmsg
#define rt_missmsg OSKIT_FREEBSD_NET_rt_missmsg
#define rt_newaddrmsg OSKIT_FREEBSD_NET_rt_newaddrmsg
#define rt_newmaddrmsg OSKIT_FREEBSD_NET_rt_newmaddrmsg
#define rt_setgate OSKIT_FREEBSD_NET_rt_setgate
#define rt_tables OSKIT_FREEBSD_NET_rt_tables
#define rtalloc OSKIT_FREEBSD_NET_rtalloc
#define rtalloc1 OSKIT_FREEBSD_NET_rtalloc1
#define rtalloc_ign OSKIT_FREEBSD_NET_rtalloc_ign
#define rtfree OSKIT_FREEBSD_NET_rtfree
#define rtinit OSKIT_FREEBSD_NET_rtinit
#define rtioctl OSKIT_FREEBSD_NET_rtioctl
#define rtredirect OSKIT_FREEBSD_NET_rtredirect
#define rtrequest OSKIT_FREEBSD_NET_rtrequest
#define safepri OSKIT_FREEBSD_NET_safepri
#define sb_lock OSKIT_FREEBSD_NET_sb_lock
#define sb_max OSKIT_FREEBSD_NET_sb_max
#define sbappend OSKIT_FREEBSD_NET_sbappend
#define sbappendaddr OSKIT_FREEBSD_NET_sbappendaddr
#define sbappendcontrol OSKIT_FREEBSD_NET_sbappendcontrol
#define sbappendrecord OSKIT_FREEBSD_NET_sbappendrecord
#define sbcompress OSKIT_FREEBSD_NET_sbcompress
#define sbcreatecontrol OSKIT_FREEBSD_NET_sbcreatecontrol
#define sbdrop OSKIT_FREEBSD_NET_sbdrop
#define sbdroprecord OSKIT_FREEBSD_NET_sbdroprecord
#define sbflush OSKIT_FREEBSD_NET_sbflush
#define sbinsertoob OSKIT_FREEBSD_NET_sbinsertoob
#define sbrelease OSKIT_FREEBSD_NET_sbrelease
#define sbreserve OSKIT_FREEBSD_NET_sbreserve
#define sbtoxsockbuf OSKIT_FREEBSD_NET_sbtoxsockbuf
#define sbwait OSKIT_FREEBSD_NET_sbwait
#define scanc OSKIT_FREEBSD_NET_scanc
#define schedcpu OSKIT_FREEBSD_NET_schedcpu
#define schedsoftcambio OSKIT_FREEBSD_NET_schedsoftcambio
#define schedsoftcamnet OSKIT_FREEBSD_NET_schedsoftcamnet
#define schedsoftnet OSKIT_FREEBSD_NET_schedsoftnet
#define schedsofttty OSKIT_FREEBSD_NET_schedsofttty
#define schedsoftvm OSKIT_FREEBSD_NET_schedsoftvm
#define securelevel OSKIT_FREEBSD_NET_securelevel
#define selrecord OSKIT_FREEBSD_NET_selrecord
#define selwakeup OSKIT_FREEBSD_NET_selwakeup
#define set_timecounter OSKIT_FREEBSD_NET_set_timecounter
#define setdelayed OSKIT_FREEBSD_NET_setdelayed
#define setsoftast OSKIT_FREEBSD_NET_setsoftast
#define setsoftcambio OSKIT_FREEBSD_NET_setsoftcambio
#define setsoftcamnet OSKIT_FREEBSD_NET_setsoftcamnet
#define setsoftclock OSKIT_FREEBSD_NET_setsoftclock
#define setsoftnet OSKIT_FREEBSD_NET_setsoftnet
#define setsofttty OSKIT_FREEBSD_NET_setsofttty
#define setsoftvm OSKIT_FREEBSD_NET_setsoftvm
#define sl_compress_init OSKIT_FREEBSD_NET_sl_compress_init
#define sl_compress_tcp OSKIT_FREEBSD_NET_sl_compress_tcp
#define sl_uncompress_tcp OSKIT_FREEBSD_NET_sl_uncompress_tcp
#define sl_uncompress_tcp_core OSKIT_FREEBSD_NET_sl_uncompress_tcp_core
#define sleepinit OSKIT_FREEBSD_NET_sleepinit
#define so_gencnt OSKIT_FREEBSD_NET_so_gencnt
#define soabort OSKIT_FREEBSD_NET_soabort
#define soaccept OSKIT_FREEBSD_NET_soaccept
#define soalloc OSKIT_FREEBSD_NET_soalloc
#define sobind OSKIT_FREEBSD_NET_sobind
#define socantrcvmore OSKIT_FREEBSD_NET_socantrcvmore
#define socantsendmore OSKIT_FREEBSD_NET_socantsendmore
#define sockargs OSKIT_FREEBSD_NET_sockargs
#define socket_zone OSKIT_FREEBSD_NET_socket_zone
#define soclose OSKIT_FREEBSD_NET_soclose
#define soconnect OSKIT_FREEBSD_NET_soconnect
#define soconnect2 OSKIT_FREEBSD_NET_soconnect2
#define socreate OSKIT_FREEBSD_NET_socreate
#define sodealloc OSKIT_FREEBSD_NET_sodealloc
#define sodisconnect OSKIT_FREEBSD_NET_sodisconnect
#define sodropablereq OSKIT_FREEBSD_NET_sodropablereq
#define sofree OSKIT_FREEBSD_NET_sofree
#define softclock OSKIT_FREEBSD_NET_softclock
#define softclockpending OSKIT_FREEBSD_NET_softclockpending
#define softticks OSKIT_FREEBSD_NET_softticks
#define sogetopt OSKIT_FREEBSD_NET_sogetopt
#define sohasoutofband OSKIT_FREEBSD_NET_sohasoutofband
#define soisconnected OSKIT_FREEBSD_NET_soisconnected
#define soisconnecting OSKIT_FREEBSD_NET_soisconnecting
#define soisdisconnected OSKIT_FREEBSD_NET_soisdisconnected
#define soisdisconnecting OSKIT_FREEBSD_NET_soisdisconnecting
#define solisten OSKIT_FREEBSD_NET_solisten
#define sonewconn OSKIT_FREEBSD_NET_sonewconn
#define sooptcopyin OSKIT_FREEBSD_NET_sooptcopyin
#define sooptcopyout OSKIT_FREEBSD_NET_sooptcopyout
#define sopoll OSKIT_FREEBSD_NET_sopoll
#define soreceive OSKIT_FREEBSD_NET_soreceive
#define soreserve OSKIT_FREEBSD_NET_soreserve
#define sorflush OSKIT_FREEBSD_NET_sorflush
#define sosend OSKIT_FREEBSD_NET_sosend
#define sosetopt OSKIT_FREEBSD_NET_sosetopt
#define soshutdown OSKIT_FREEBSD_NET_soshutdown
#define sotoxsocket OSKIT_FREEBSD_NET_sotoxsocket
#define sowakeup OSKIT_FREEBSD_NET_sowakeup
#define spin_n_seconds OSKIT_FREEBSD_NET_spin_n_seconds
#define spl0 OSKIT_FREEBSD_NET_spl0
#define splbio OSKIT_FREEBSD_NET_splbio
#define splcam OSKIT_FREEBSD_NET_splcam
#define splclock OSKIT_FREEBSD_NET_splclock
#define splhigh OSKIT_FREEBSD_NET_splhigh
#define splimp OSKIT_FREEBSD_NET_splimp
#define splnet OSKIT_FREEBSD_NET_splnet
#define splsoftcam OSKIT_FREEBSD_NET_splsoftcam
#define splsoftcambio OSKIT_FREEBSD_NET_splsoftcambio
#define splsoftcamnet OSKIT_FREEBSD_NET_splsoftcamnet
#define splsoftclock OSKIT_FREEBSD_NET_splsoftclock
#define splsofttty OSKIT_FREEBSD_NET_splsofttty
#define splsoftvm OSKIT_FREEBSD_NET_splsoftvm
#define splstatclock OSKIT_FREEBSD_NET_splstatclock
#define spltty OSKIT_FREEBSD_NET_spltty
#define splvm OSKIT_FREEBSD_NET_splvm
#define splx OSKIT_FREEBSD_NET_splx
#define sppp_attach OSKIT_FREEBSD_NET_sppp_attach
#define sppp_dequeue OSKIT_FREEBSD_NET_sppp_dequeue
#define sppp_detach OSKIT_FREEBSD_NET_sppp_detach
#define sppp_flush OSKIT_FREEBSD_NET_sppp_flush
#define sppp_input OSKIT_FREEBSD_NET_sppp_input
#define sppp_ioctl OSKIT_FREEBSD_NET_sppp_ioctl
#define sppp_isempty OSKIT_FREEBSD_NET_sppp_isempty
#define sppp_pick OSKIT_FREEBSD_NET_sppp_pick
#define srandom OSKIT_FREEBSD_NET_srandom
#define sscanf OSKIT_FREEBSD_NET_sscanf
#define stathz OSKIT_FREEBSD_NET_stathz
#define strtoq OSKIT_FREEBSD_NET_strtoq
#define strtouq OSKIT_FREEBSD_NET_strtouq
#define subyte OSKIT_FREEBSD_NET_subyte
#define suibyte OSKIT_FREEBSD_NET_suibyte
#define suser OSKIT_FREEBSD_NET_suser
#define swi_schedule OSKIT_FREEBSD_NET_swi_schedule
#define swi_init OSKIT_FREEBSD_NET_swi_init
#define swi_check OSKIT_FREEBSD_NET_swi_check
#define swi_dispatcher OSKIT_FREEBSD_NET_swi_dispatcher
#define sysbeep OSKIT_FREEBSD_NET_sysbeep
#define sysctl_handle_int OSKIT_FREEBSD_NET_sysctl_handle_int
#define sysctl_handle_opaque OSKIT_FREEBSD_NET_sysctl_handle_opaque
#define sysctl_rtsock OSKIT_FREEBSD_NET_sysctl_rtsock
#define sysinit_set OSKIT_FREEBSD_NET_sysinit_set
#define sysuninit_set OSKIT_FREEBSD_NET_sysuninit_set
#define tcb OSKIT_FREEBSD_NET_tcb
#define tcbinfo OSKIT_FREEBSD_NET_tcbinfo
#define tcp_backoff OSKIT_FREEBSD_NET_tcp_backoff
#define tcp_canceltimers OSKIT_FREEBSD_NET_tcp_canceltimers
#define tcp_ccgen OSKIT_FREEBSD_NET_tcp_ccgen
#define tcp_close OSKIT_FREEBSD_NET_tcp_close
#define tcp_ctlinput OSKIT_FREEBSD_NET_tcp_ctlinput
#define tcp_ctloutput OSKIT_FREEBSD_NET_tcp_ctloutput
#define tcp_delack_enabled OSKIT_FREEBSD_NET_tcp_delack_enabled
#define tcp_drain OSKIT_FREEBSD_NET_tcp_drain
#define tcp_drop OSKIT_FREEBSD_NET_tcp_drop
#define tcp_fasttimo OSKIT_FREEBSD_NET_tcp_fasttimo
#define tcp_gettaocache OSKIT_FREEBSD_NET_tcp_gettaocache
#define tcp_init OSKIT_FREEBSD_NET_tcp_init
#define tcp_input OSKIT_FREEBSD_NET_tcp_input
#define tcp_iss OSKIT_FREEBSD_NET_tcp_iss
#define tcp_keepidle OSKIT_FREEBSD_NET_tcp_keepidle
#define tcp_keepinit OSKIT_FREEBSD_NET_tcp_keepinit
#define tcp_maxidle OSKIT_FREEBSD_NET_tcp_maxidle
#define tcp_mss OSKIT_FREEBSD_NET_tcp_mss
#define tcp_mssdflt OSKIT_FREEBSD_NET_tcp_mssdflt
#define tcp_mssopt OSKIT_FREEBSD_NET_tcp_mssopt
#define tcp_mtudisc OSKIT_FREEBSD_NET_tcp_mtudisc
#define tcp_newtcpcb OSKIT_FREEBSD_NET_tcp_newtcpcb
#define tcp_now OSKIT_FREEBSD_NET_tcp_now
#define tcp_output OSKIT_FREEBSD_NET_tcp_output
#define tcp_pcblist OSKIT_FREEBSD_NET_tcp_pcblist
#define tcp_quench OSKIT_FREEBSD_NET_tcp_quench
#define tcp_recvspace OSKIT_FREEBSD_NET_tcp_recvspace
#define tcp_respond OSKIT_FREEBSD_NET_tcp_respond
#define tcp_rtlookup OSKIT_FREEBSD_NET_tcp_rtlookup
#define tcp_sendspace OSKIT_FREEBSD_NET_tcp_sendspace
#define tcp_setpersist OSKIT_FREEBSD_NET_tcp_setpersist
#define tcp_slowtimo OSKIT_FREEBSD_NET_tcp_slowtimo
#define tcp_template OSKIT_FREEBSD_NET_tcp_template
#define tcp_timers OSKIT_FREEBSD_NET_tcp_timers
#define tcp_trace OSKIT_FREEBSD_NET_tcp_trace
#define tcp_usrreqs OSKIT_FREEBSD_NET_tcp_usrreqs
#define tcpstat OSKIT_FREEBSD_NET_tcpstat
#define termioschars OSKIT_FREEBSD_NET_termioschars
#define tick OSKIT_FREEBSD_NET_tick
#define ticks OSKIT_FREEBSD_NET_ticks
#define time_second OSKIT_FREEBSD_NET_time_second
#define timecounter OSKIT_FREEBSD_NET_timecounter
#define timecounter_timespec OSKIT_FREEBSD_NET_timecounter_timespec
#define timeout OSKIT_FREEBSD_NET_timeout
#define timer_freq OSKIT_FREEBSD_NET_timer_freq
#define tk_cancc OSKIT_FREEBSD_NET_tk_cancc
#define tk_nin OSKIT_FREEBSD_NET_tk_nin
#define tk_nout OSKIT_FREEBSD_NET_tk_nout
#define tk_rawcc OSKIT_FREEBSD_NET_tk_rawcc
#define tputchar OSKIT_FREEBSD_NET_tputchar
#define tsleep OSKIT_FREEBSD_NET_tsleep
#define ttioctl OSKIT_FREEBSD_NET_ttioctl
#define ttpoll OSKIT_FREEBSD_NET_ttpoll
#define ttread OSKIT_FREEBSD_NET_ttread
#define ttsetwater OSKIT_FREEBSD_NET_ttsetwater
#define ttspeedtab OSKIT_FREEBSD_NET_ttspeedtab
#define ttstart OSKIT_FREEBSD_NET_ttstart
#define ttwakeup OSKIT_FREEBSD_NET_ttwakeup
#define ttwrite OSKIT_FREEBSD_NET_ttwrite
#define ttwwakeup OSKIT_FREEBSD_NET_ttwwakeup
#define ttyblock OSKIT_FREEBSD_NET_ttyblock
#define ttychars OSKIT_FREEBSD_NET_ttychars
#define ttyclose OSKIT_FREEBSD_NET_ttyclose
#define ttyconds OSKIT_FREEBSD_NET_ttyconds
#define ttyflush OSKIT_FREEBSD_NET_ttyflush
#define ttyinput OSKIT_FREEBSD_NET_ttyinput
#define ttylclose OSKIT_FREEBSD_NET_ttylclose
#define ttymodem OSKIT_FREEBSD_NET_ttymodem
#define ttyopen OSKIT_FREEBSD_NET_ttyopen
#define ttypoll OSKIT_FREEBSD_NET_ttypoll
#define ttysleep OSKIT_FREEBSD_NET_ttysleep
#define ttywait OSKIT_FREEBSD_NET_ttywait
#define tvtohz OSKIT_FREEBSD_NET_tvtohz
#define udp_ctlinput OSKIT_FREEBSD_NET_udp_ctlinput
#define udp_init OSKIT_FREEBSD_NET_udp_init
#define udp_input OSKIT_FREEBSD_NET_udp_input
#define udp_pcblist OSKIT_FREEBSD_NET_udp_pcblist
#define udp_usrreqs OSKIT_FREEBSD_NET_udp_usrreqs
#define udpstat OSKIT_FREEBSD_NET_udpstat
#define uiomove OSKIT_FREEBSD_NET_uiomove
#define unputc OSKIT_FREEBSD_NET_unputc
#define unregister_intr OSKIT_FREEBSD_NET_unregister_intr
#define unsleep OSKIT_FREEBSD_NET_unsleep
#define untimeout OSKIT_FREEBSD_NET_untimeout
#define ureadc OSKIT_FREEBSD_NET_ureadc
#define videodriver_set OSKIT_FREEBSD_NET_videodriver_set
#define vsscanf OSKIT_FREEBSD_NET_vsscanf
#define wakeup OSKIT_FREEBSD_NET_wakeup
#define wakeup_one OSKIT_FREEBSD_NET_wakeup_one
#define zalloci OSKIT_FREEBSD_NET_zalloci
#define zeroin_addr OSKIT_FREEBSD_NET_zeroin_addr
#define zfreei OSKIT_FREEBSD_NET_zfreei
#define zinit OSKIT_FREEBSD_NET_zinit
